### Class

# GtkSource SnippetChunk

#### Description [src]

    final class GtkSource.SnippetChunk : GObject.InitiallyUnowned
    {
      /* No available fields */
    }

A chunk of text within the source snippet.

The `GtkSourceSnippetChunk` represents a single chunk of text that may or may not be an edit point within the snippet. Chunks that are an edit point (also called a tab stop) have the `GtkSourceSnippetChunk:focus-position` property set.

#### Hierarchy

#### Ancestors

- GInitiallyUnowned
- GObject

#### Constructors

###### gtk_source_snippet_chunk_new

Create a new `GtkSourceSnippetChunk` that can be added to a `GtkSourceSnippet`.

#### Instance methods

###### gtk_source_snippet_chunk_copy

Copies the source snippet.

###### gtk_source_snippet_chunk_get_context

Gets the context for the snippet insertion.

###### gtk_source_snippet_chunk_get_focus_position

Gets the `GtkSourceSnippetChunk:focus-position`.

###### gtk_source_snippet_chunk_get_spec

Gets the specification for the chunk.

###### gtk_source_snippet_chunk_get_text

Gets the `GtkSourceSnippetChunk:text` property.

###### gtk_source_snippet_chunk_get_text_set

Gets the `GtkSourceSnippetChunk:text-set` property.

###### gtk_source_snippet_chunk_get_tooltip_text

No description available.

###### gtk_source_snippet_chunk_set_context

No description available.

###### gtk_source_snippet_chunk_set_focus_position

Sets the `GtkSourceSnippetChunk:focus-position` property.

###### gtk_source_snippet_chunk_set_spec

Sets the specification for the chunk.

###### gtk_source_snippet_chunk_set_text

Sets the text for the snippet chunk.

###### gtk_source_snippet_chunk_set_text_set

Sets the `GtkSourceSnippetChunk:text-set` property.

###### gtk_source_snippet_chunk_set_tooltip_text

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.SnippetChunk:context

No description available.

###### GtkSource.SnippetChunk:focus-position

No description available.

###### GtkSource.SnippetChunk:spec

No description available.

###### GtkSource.SnippetChunk:text

No description available.

###### GtkSource.SnippetChunk:text-set

No description available.

###### GtkSource.SnippetChunk:tooltip-text

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceSnippetChunkClass {
      GInitiallyUnownedClass parent_class;

    }

No description available.

###### Class members

`parent_class: GInitiallyUnownedClass`

  No description available.